package it.integry.integrywmsnative.core.rest.model;

import java.util.ArrayList;
import java.util.List;

import it.integry.integrywmsnative.core.report.ReportType;

public class ReportTypeDTO {


    private ReportType reportType;
    private String codAnag;
    private String codMdep;
    private List<JasperPairDTO> params = new ArrayList<>();

    public List<JasperPairDTO> getParams() {
        return params;
    }

    public ReportTypeDTO setParams(List<JasperPairDTO> params) {
        this.params = params;
        return this;
    }

    public ReportType getReportType() {
        return reportType;
    }

    public ReportTypeDTO setReportType(ReportType reportType) {
        this.reportType = reportType;
        return this;
    }

    public String getCodAnag() {
        return codAnag;
    }

    public ReportTypeDTO setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public ReportTypeDTO setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }
}
